# Tia TTS

Experimental TTS for CPU inference using Tacotron2 and Squeezewave.

## Install
Initialize the submodules:
`git submodule update --init --recursive`

Install the python dependencies:
`pip install -r requirements.txt`

Copy your models into the directory. This was trained on 22khz tacotron2 and squeezewave models.
Squeezewave is loaded using a state_dict so we can take advantage of the existing pretrained models provided by the paper's author while maintaining compatibility with the tweaked architecture to enable denoising without necessitating retraining the vocoder.

Run the project:
`python synthesize.py`
